Package com.enonic.xp.app

## Interface ApplicationService

-     @PublicApi
      public interface ApplicationService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Application` | `createVirtualApplication​(CreateVirtualApplicationParams params)` |
    `boolean` | `deleteVirtualApplication​(ApplicationKey key)` |
    `Application` | `get​(ApplicationKey key)` |
    `ApplicationMode` | `getApplicationMode​(ApplicationKey applicationKey)` |
    `Application` | `getInstalledApplication​(ApplicationKey key)` |
    `ApplicationKeys` | `getInstalledApplicationKeys()` | Deprecated.
    `Applications` | `getInstalledApplications()` |
    `void` | `installAllStoredApplications()` |
    `void` | `installAllStoredApplications​(ApplicationInstallationParams params)` | Deprecated.
    `Application` | `installGlobalApplication​(ByteSource byteSource, String unused)` |
    `Application` | `installGlobalApplication​(URL url)` |
    `Application` | `installGlobalApplication​(URL url, byte[] sha512)` |
    `Application` | `installLocalApplication​(ByteSource byteSource, String unused)` |
    `Application` | `installStoredApplication​(NodeId nodeId)` | Deprecated.
    `Application` | `installStoredApplication​(NodeId nodeId, ApplicationInstallationParams params)` | Deprecated.
    `void` | `invalidate​(ApplicationKey key)` | Deprecated.
    `void` | `invalidate​(ApplicationKey key, ApplicationInvalidationLevel level)` | Deprecated.
    `boolean` | `isLocalApplication​(ApplicationKey key)` |
    `Applications` | `list()` |
    `void` | `publishUninstalledEvent​(ApplicationKey key)` | Deprecated.
    `void` | `startApplication​(ApplicationKey key, boolean unused)` |
    `void` | `stopApplication​(ApplicationKey key, boolean unused)` |
    `void` | `uninstallApplication​(ApplicationKey key, boolean unused)` |

- - ### Method Detail

    - #### getInstalledApplication

          Application getInstalledApplication​(ApplicationKey key)
                                       throws ApplicationNotFoundException

      Throws:
        `ApplicationNotFoundException`

    - #### get

          Application get​(ApplicationKey key)

    - #### getInstalledApplicationKeys

          @Deprecated
          ApplicationKeys getInstalledApplicationKeys()

      Deprecated.

    - #### getInstalledApplications

          Applications getInstalledApplications()

    - #### list

          Applications list()

    - #### isLocalApplication

          boolean isLocalApplication​(ApplicationKey key)

    - #### startApplication

          void startApplication​(ApplicationKey key,
                                boolean unused)

    - #### stopApplication

          void stopApplication​(ApplicationKey key,
                               boolean unused)

    - #### installGlobalApplication

          Application installGlobalApplication​(URL url)

    - #### installGlobalApplication

          Application installGlobalApplication​(URL url,
                                               byte[] sha512)

    - #### installGlobalApplication

          Application installGlobalApplication​(ByteSource byteSource,
                                               String unused)

    - #### installLocalApplication

          Application installLocalApplication​(ByteSource byteSource,
                                              String unused)

    - #### installStoredApplication

          @Deprecated
          Application installStoredApplication​(NodeId nodeId)

      Deprecated.

    - #### installStoredApplication

          @Deprecated
          Application installStoredApplication​(NodeId nodeId,
                                               ApplicationInstallationParams params)

      Deprecated.

    - #### uninstallApplication

          void uninstallApplication​(ApplicationKey key,
                                    boolean unused)

    - #### publishUninstalledEvent

          @Deprecated
          void publishUninstalledEvent​(ApplicationKey key)

      Deprecated.

    - #### invalidate

          @Deprecated
          void invalidate​(ApplicationKey key)

      Deprecated.

    - #### invalidate

          @Deprecated
          void invalidate​(ApplicationKey key,
                          ApplicationInvalidationLevel level)

      Deprecated.

    - #### installAllStoredApplications

          void installAllStoredApplications()

    - #### installAllStoredApplications

          @Deprecated
          void installAllStoredApplications​(ApplicationInstallationParams params)

      Deprecated.

    - #### createVirtualApplication

          Application createVirtualApplication​(CreateVirtualApplicationParams params)

    - #### deleteVirtualApplication

          boolean deleteVirtualApplication​(ApplicationKey key)

    - #### getApplicationMode

          ApplicationMode getApplicationMode​(ApplicationKey applicationKey)